import 'package:get_it/get_it.dart';
import 'package:polyglothq/src/domain/di/inject_dependencies.dart' as domain;
import 'package:polyglothq/src/source_local/di/inject_dependencies.dart'
    as source_local;
import 'package:polyglothq/src/source_remote/di/inject_dependencies.dart'
    as source_remote;

void injectDependencies() {
  final getIt = GetIt.instance;

  source_local.injectDependencies(getIt);
  source_remote.injectDependencies(getIt);
  domain.injectDependencies(getIt);
}
