import 'package:json_annotation/json_annotation.dart';

part 'language.g.dart';

@JsonSerializable(createToJson: false, fieldRename: FieldRename.snake)
class Language {
  Language(this.id, this.name, this.locale);

  factory Language.fromJson(Map<String, dynamic> json) =>
      _$LanguageFromJson(json);

  final String id;
  final String name;
  final String locale;
}
