import 'package:get_it/get_it.dart';
import 'package:polyglothq/src/domain/repository/local_repository.dart';
import 'package:polyglothq/src/domain/repository/token_repository.dart';
import 'package:polyglothq/src/source_local/impl/local_repository_impl.dart';
import 'package:polyglothq/src/source_local/impl/token_repository_impl.dart';

void injectDependencies(GetIt getIt) {
  getIt.registerFactory<LocalRepository>(() => LocalRepositoryImpl());

  getIt
      .registerFactory<TokenRepository>(() => TokenRepositoryImpl(getIt.get()));
}
