import 'dart:io';

import 'package:console/console.dart';
import 'package:polyglothq/src/polyglot_command_runner.dart';

import 'di/inject_dependencies.dart';

void main(List<String> args) {
  injectDependencies();
  Console.init();
  PolyglotCommandRunner().run(args).onError(
    (error, stackTrace) {
      stderr.writeln(error);
    },
  );
}
