import 'package:json_annotation/json_annotation.dart';

part 'project.g.dart';

@JsonSerializable(createToJson: false, fieldRename: FieldRename.snake)
class Project {
  Project(this.id, this.name);

  factory Project.fromJson(Map<String, dynamic> json) =>
      _$ProjectFromJson(json);

  final String id;
  final String name;
}
