import 'package:json_annotation/json_annotation.dart';

part 'translation_key.g.dart';

@JsonSerializable(createToJson: false, fieldRename: FieldRename.snake)
class TranslationKey {
  TranslationKey(this.name);

  factory TranslationKey.fromJson(Map<String, dynamic> json) =>
      _$TranslationKeyFromJson(json);

  final String name;
}
