import 'package:json_annotation/json_annotation.dart';

part 'user_request.g.dart';

@JsonSerializable(
  createFactory: false,
  fieldRename: FieldRename.snake,
  explicitToJson: true,
  includeIfNull: false,
)
class UserRequest {
  UserRequest(this.email, this.password);

  Map<String, dynamic> toJson() => _$UserRequestToJson(this);

  String get type => 'sessions';

  final String email;
  final String password;
}
