import 'package:json_annotation/json_annotation.dart';

part 'user_response.g.dart';

@JsonSerializable(createToJson: false, fieldRename: FieldRename.snake)
class UserResponse {
  UserResponse(this.email, this.token);

  factory UserResponse.fromJson(Map<String, dynamic> json) =>
      _$UserResponseFromJson(json['data'] as Map<String, dynamic>);

  String get type => 'sessions';

  final String email;
  final String token;
}
