import 'dart:io';

import 'package:console/console.dart';

class CommandLineUtils {
  static error(String errorMessage) {}

  static Future<String> readInputWithDefault(
      String message, String defaultValue) async {
    stdout.write(message);
    Console.setTextColor(7);
    stdout.write(' ($defaultValue): ');
    Console.resetAll();
    final value = stdin.readLineSync();
    return value == null || value.isEmpty ? defaultValue : value;
  }
}
