import 'package:get_it/get_it.dart';
import 'package:polyglothq/src/domain/repository/api_repository.dart';
import 'package:polyglothq/src/source_remote/dio/create_dio.dart';
import 'package:polyglothq/src/source_remote/impl/api_repository_impl.dart';

void injectDependencies(GetIt getIt) {
  getIt.registerLazySingleton(() => createDio(getIt.get()));

  getIt.registerFactory<ApiRepository>(() => ApiRepositoryImpl(getIt.get()));
}
